### Type parameters

- #### A

- #### B

- #### C

- #### D

- #### E

### Hierarchy

- TransactGetRequestBase
  - TransactGetRequest5

## Index

### Properties

- params

### Methods

- exec
- execFullResponse
- execNoMap
- forModel

## Properties

### params

params: TransactGetItemsInput

Inherited from TransactGetRequestBase.params

- Defined in dynamo/transactget/transact-get.request.type.ts:6

## Methods

### exec

- exec(): Promise<[A, B, C, D, E]>

- - Defined in dynamo/transactget/transact-get.request.type.ts:47

  #### Returns Promise<[A, B, C, D, E]>

### execFullResponse

- execFullResponse(): Promise<TransactGetFullResponse<[A, B, C, D, E]>>

- - Defined in dynamo/transactget/transact-get.request.type.ts:45

  #### Returns Promise<TransactGetFullResponse<[A, B, C, D, E]>>

### execNoMap

- execNoMap(): Promise<TransactGetItemsOutput>

- Inherited from TransactGetRequestBase.execNoMap

  - Defined in dynamo/transactget/transact-get.request.type.ts:7

  #### Returns Promise<TransactGetItemsOutput>

### forModel

- forModel<F>(modelClazz: ModelConstructor<F>, key: Partial<F>): TransactGetRequest6<A, B, C, D, E, F>

- - Defined in dynamo/transactget/transact-get.request.type.ts:43

  #### Type parameters

  - #### F

  #### Parameters

  - ##### modelClazz: ModelConstructor<F>

  - ##### key: Partial<F>

  #### Returns TransactGetRequest6<A, B, C, D, E, F>

Generated using TypeDoc